Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDSTENTBRIDGETYPEvalues

    java.lang.Object
      java.lang.Enum<CDSTENTBRIDGETYPEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDSTENTBRIDGETYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDSTENTBRIDGETYPEvalues>

    public enum CDSTENTBRIDGETYPEvalues

extends Enum<CDSTENTBRIDGETYPEvalues>

Java class for CD-STENT-BRIDGETYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-STENT-BRIDGETYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="saphena1"/>
         <enumeration value="saphena2"/>
         <enumeration value="saphena3"/>
         <enumeration value="saphena4"/>
         <enumeration value="saphena5"/>
         <enumeration value="lima"/>
         <enumeration value="rima"/>
         <enumeration value="gepa"/>
         <enumeration value="freeima"/>
         <enumeration value="radialis"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FREEIMA`
`GEPA`
`LIMA`
`RADIALIS`
`RIMA`
`SAPHENA_1`
`SAPHENA_2`
`SAPHENA_3`
`SAPHENA_4`
`SAPHENA_5`

Method Summary
`static CDSTENTBRIDGETYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDSTENTBRIDGETYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDSTENTBRIDGETYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAPHENA_1

    public static final CDSTENTBRIDGETYPEvalues SAPHENA_1

### SAPHENA_2

    public static final CDSTENTBRIDGETYPEvalues SAPHENA_2

### SAPHENA_3

    public static final CDSTENTBRIDGETYPEvalues SAPHENA_3

### SAPHENA_4

    public static final CDSTENTBRIDGETYPEvalues SAPHENA_4

### SAPHENA_5

    public static final CDSTENTBRIDGETYPEvalues SAPHENA_5

### LIMA

    public static final CDSTENTBRIDGETYPEvalues LIMA

### RIMA

    public static final CDSTENTBRIDGETYPEvalues RIMA

### GEPA

    public static final CDSTENTBRIDGETYPEvalues GEPA

### FREEIMA

    public static final CDSTENTBRIDGETYPEvalues FREEIMA

### RADIALIS

    public static final CDSTENTBRIDGETYPEvalues RADIALIS

Method Detail

### values

    public static CDSTENTBRIDGETYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDSTENTBRIDGETYPEvalues c : CDSTENTBRIDGETYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDSTENTBRIDGETYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDSTENTBRIDGETYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSLOGOPEDIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.